import { StackedSplineAreaSeries } from "./StackedSplineAreaSeries";
import { IStacked100Series } from "./IStacked100Series";
import { SeriesView } from "./SeriesView";
import { Type } from "igniteui-react-core";
import { StackedSplineAreaSeriesView } from "./StackedSplineAreaSeriesView";
/**
 * @hidden
 */
export declare class Stacked100SplineAreaSeries extends StackedSplineAreaSeries implements IStacked100Series {
    static $t: Type;
    protected cg(): SeriesView;
    yo: Stacked100SplineAreaSeriesView;
    o0(a: SeriesView): void;
    protected get_xn(): boolean;
    constructor();
    ac(): void;
    protected x3(): void;
    get useHighMarkerFidelity(): boolean;
}
/**
 * @hidden
 */
export declare class Stacked100SplineAreaSeriesView extends StackedSplineAreaSeriesView {
    static $t: Type;
    constructor(a: Stacked100SplineAreaSeries);
    au(): void;
}
